Loading...
Searching...
No Matches
CoinAbcBaseFactorization.hpp File Reference
`#include "AbcCommon.hpp"`
`#include "CoinAbcHelperFunctions.hpp"`
Include dependency graph for CoinAbcBaseFactorization.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | CoinAbcTypeFactorization

## Macros

#define | FACTOR_CPU 1
| This deals with Factorization and Updates.
#define | LARGE_SET COIN_INT_MAX - 10
#define | LARGE_UNSET (LARGE_SET + 1)
used by factorization
#define | checkLinks(x)
#define | CONVERTROW 2

## Macro Definition Documentation

## FACTOR_CPU

#define FACTOR_CPU 1

This deals with Factorization and Updates.

I am assuming that 32 bits is enough for number of rows or columns, but CoinBigIndex may be redefined to get 64 bits.

Definition at line 23 of file CoinAbcBaseFactorization.hpp.

## LARGE_SET

#define LARGE_SET COIN_INT_MAX - 10

Definition at line 25 of file CoinAbcBaseFactorization.hpp.

## LARGE_UNSET

#define LARGE_UNSET (LARGE_SET + 1)

Definition at line 26 of file CoinAbcBaseFactorization.hpp.

## checkLinks

#define checkLinks | ( |  | x | ) |

Definition at line 691 of file CoinAbcBaseFactorization.hpp.

## CONVERTROW

#define CONVERTROW 2

Definition at line 926 of file CoinAbcBaseFactorization.hpp.